\documentclass{standalone}

\usepackage{tikz}
 \input{couleur.sty}

\begin{document}
\begin{tikzpicture}[line cap=round,line join=round,x=1cm,y=1cm]
\clip(0.75,-1.25) rectangle (7.25,5.25);
\fill[line width=3pt,color=B3,fill=B3] (4,5) -- (2,4) -- (1,2) -- (2,0) -- (4,-1) -- (6,0) -- (7,2) -- (6,4) -- cycle;
\draw [line width=3pt] (2,4)-- (2,0);
\draw [line width=3pt] (2,0)-- (6,0);
\draw [line width=3pt] (6,0)-- (6,4);
\draw [line width=3pt] (6,4)-- (2,4);
\draw [line width=3pt] (2,4)-- (4,5);
\draw [line width=3pt] (2.901613008990009,4.584970583144992) -- (3.0089442719099995,4.370308057305013);
\draw [line width=3pt] (2.991055728090001,4.629691942694988) -- (3.0983869910099915,4.415029416855008);
\draw [line width=3pt] (4,5)-- (6,4);
\draw [line width=3pt] (5.008944271910001,4.629691942694988) -- (4.901613008990011,4.415029416855008);
\draw [line width=3pt] (5.098386991009992,4.584970583144992) -- (4.991055728090001,4.370308057305013);
\draw [line width=3pt] (6,4)-- (7,2);
\draw [line width=3pt] (6.584970583144992,3.0983869910099915) -- (6.370308057305012,2.991055728090001);
\draw [line width=3pt] (6.629691942694989,3.0089442719099995) -- (6.415029416855008,2.901613008990009);
\draw [line width=3pt] (7,2)-- (6,0);
\draw [line width=3pt] (6.629691942694989,0.9910557280900002) -- (6.415029416855008,1.0983869910099906);
\draw [line width=3pt] (6.584970583144992,0.9016130089900094) -- (6.370308057305012,1.0089442719099997);
\draw [line width=3pt] (6,0)-- (4,-1);
\draw [line width=3pt] (5.098386991009992,-0.5849705831449922) -- (4.991055728090001,-0.3703080573050113);
\draw [line width=3pt] (5.008944271910001,-0.6296919426949887) -- (4.901613008990011,-0.4150294168550079);
\draw [line width=3pt] (4,-1)-- (2,0);
\draw [line width=3pt] (2.991055728090001,-0.6296919426949887) -- (3.0983869910099915,-0.4150294168550079);
\draw [line width=3pt] (2.901613008990009,-0.5849705831449922) -- (3.0089442719099995,-0.3703080573050113);
\draw [line width=3pt] (2,0)-- (1,2);
\draw [line width=3pt] (1.4150294168550084,0.9016130089900094) -- (1.6296919426949878,1.0089442719099997);
\draw [line width=3pt] (1.3703080573050124,0.9910557280900002) -- (1.5849705831449918,1.0983869910099906);
\draw [line width=3pt] (1,2)-- (2,4);
\draw [line width=3pt] (1.3703080573050124,3.0089442719099995) -- (1.5849705831449918,2.901613008990009);
\draw [line width=3pt] (1.4150294168550084,3.0983869910099915) -- (1.6296919426949878,2.991055728090001);
\end{tikzpicture}
\end{document}